Bug 208541 - init: open(/dev/pts/0): No such file or directory
init: open(/dev/pts/0): No such file or directory
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rhgb (Show other bugs)
4.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks: 236329
  Show dependency treegraph
 
Reported: 2006-09-29 05:42 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 15:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-09-29 05:42:57 EDT
+++ This bug was initially created as a clone of Bug #141953 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
As I don't know which component is responsible here I file it against
distribution.

After logging out of the console I get this message in /var/log/messages:

init: open(/dev/pts/0): No such file or directory

This does not happen if I login via ssh.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Login / Logout
2.
3.
    

Additional info:

-- Additional comment from notting@redhat.com on 2004-12-06 15:11 EST --
Please attach your inittab.

-- Additional comment from Bernd.Bartmann@gmail.com on 2004-12-06 15:24 EST --
Created an attachment (id=107986)
/etc/inittab

The only thing I've changed against the stock FC3 inittab was to disable
CTRL-ALT-DEL.

-- Additional comment from notting@redhat.com on 2005-01-28 01:39 EST --
I'm assuming you're using rhgb.

Does /proc/*/fd for mingetty look odd at all?
What does /proc/*/environ for mingetty  have for CONSOLE?

-- Additional comment from Bernd.Bartmann@gmail.com on 2005-01-28 11:50 EST --
mingetty for tty4 is process 5064
ls -l /proc/5064/fd gives:
lrwx------  1 root root 64 28. Jan 17:32 0 -> /dev/tty4
lrwx------  1 root root 64 28. Jan 17:32 1 -> /dev/tty4
lrwx------  1 root root 64 28. Jan 17:32 2 -> /dev/tty4
lr-x------  1 root root 64 28. Jan 17:32 3 -> /init

CONSOLE=/dev/pts/0 in /proc/5064/environ

I get similar results for all other ttys.

-- Additional comment from notting@redhat.com on 2005-01-28 16:52 EST --
Created an attachment (id=110371)
patch to fix broken rhgb exit() behavior

Try this. If you need a test build of the package, shout.

-- Additional comment from Bernd.Bartmann@gmail.com on 2005-01-29 06:31 EST --
Thanks Bill, your patch makes the error message go away.

-- Additional comment from notting@redhat.com on 2005-01-31 16:27 EST --
Update for rhgb pushed.
Comment 1 RHEL Product and Program Management 2007-05-09 05:30:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Ray Strode [halfline] 2007-07-24 10:50:25 EDT
Hi guys,

This should be fixed in RHEL 4.5 already.  Can you confirm?
Comment 3 Issue Tracker 2007-07-26 14:58:07 EDT
The patch doesn't appear to be in 4.5.

Internal Status set to 'Waiting on Engineering'

This event sent from IssueTracker by alanm 
 issue 103051
Comment 4 Ray Strode [halfline] 2007-07-26 15:08:28 EDT
Right, I know.  We pushed some fixed in 4.5 that should resolve this issue as
well (without the patch).  I'm just asking for confirmation that that is indeed
the case.
Comment 5 Issue Tracker 2007-07-26 15:11:36 EDT
I haven't seen a message like that on my 4.5 machine.


This event sent from IssueTracker by alanm 
 issue 103051

Note You need to log in before you can comment on or make changes to this bug.